QGIS Application - Bug report #20666
in an embedded layer joined attributes are visible only after refreshing the map
2018-11-29 09:14 AM - Thomas M

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.25 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28486
Description

new description

when embedding a layer from another project, if the layer has a join, then in the embedded layer the joined attributes are only visible after
refresh the map canvas.

old description

**Joined two layers "parcel" with "owner" layer after the fields of type string.
Options join:

- cache join layer in virtual memory: off

- create attribute index on join field: off

- choose which fields are join: on

- custom field name prefix: off

In layers "parcel" is visiblited fields "owner" layers - project is save .
When will he use the option "Embed layers and group” in other project in layer "parcel” is not visible fields "owner" layers.

When record in layer "pracel” is less than 20000, "owner" layers fields are visiblited.

History

#1 - 2018-11-29 11:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

So, | have understand correctly:

the join work, but then when embedding the layer (with a join) into a different project then the attributes of layer are missing the ones from the joined one,

but only if the joined one has more than 20000 rows. is that it?

#2 - 2018-11-30 09:33 AM - Thomas M

| carried out the tests again.

However, this is not about the number of records.

When embedding the layer (with a join) into a different project then the attributes of layer are missing, but how to refresh the map (F5) everything will/join

be visible

In version QGIS3 all is ok.
#3 - 2018-11-30 10:19 AM - Thomas M

I noticed that in embedding the layer into a different project are missing options layers propertis->edit widget

#4 - 2018-11-30 11:06 AM - Giovanni Manghi
Thomas M wrote:

| carried out the tests again.

However, this is not about the number of records.

When embedding the layer (with a join) into a different project then the attributes of layer are missing, but how to refresh the map (F5) everything
will/join be visibl

s0, embedding layers with a join works but joined attributes only show after refreshing the map, correct?

what about on 3.4.2?

#5 - 2018-11-30 01:13 PM - Thomas M

Giovanni Manghi wrote:

so, embedding layers with a join works but joined attributes only show after refreshing the map, correct?

YES

what about on 3.4.2?

on 3.4.0 embedding layers with a join works (without refreshing the map)

#6 - 2018-11-30 02:41 PM - Giovanni Manghi

- Subject changed from Join layers - embed layers and group to in an embedded layer joined attributes are visible only after refreshing the map
- Status changed from Feedback to Open

- Description updated

#7 - 2019-01-21 12:35 AM - Jiirgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#8 - 2019-02-24 10:52 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
